/* $XConsortium: Command.h,v 1.29 94/04/17 20:11:59 kaleb Exp $ */

/***********************************************************

Copyright (c) 1987, 1988, 1994  X Consortium

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Except as contained in this notice, the name of the X Consortium shall not be
used in advertising or otherwise to promote the sale, use or other dealings
in this Software without prior written authorization from the X Consortium.


Copyright 1987, 1988 by Digital Equipment Corporation, Maynard, Massachusetts.

                        All Rights Reserved

Permission to use, copy, modify, and distribute this software and its 
documentation for any purpose and without fee is hereby granted, 
provided that the above copyright notice appear in all copies and that
both that copyright notice and this permission notice appear in 
supporting documentation, and that the name of Digital not be
used in advertising or publicity pertaining to distribution of the
software without specific, written prior permission.  

DIGITAL DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL
DIGITAL BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR
ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
SOFTWARE.

******************************************************************/

#ifndef _XawOthelloDisc_h
#define _XawOthelloDisc_h

#include <X11/Xaw3d/Simple.h>

/* OthelloDisc widget resources:

 Name		     Class		RepType		Default Value
 ----		     -----		-------		-------------
 accelerators	     Accelerators	AcceleratorTable NULL
 ancestorSensitive   AncestorSensitive	Boolean		True
 background	     Background		Pixel		XtDefaultBackground
 borderColor	     BorderColor	Pixel		XtDefaultForeground
 borderPixmap	     Pixmap		Pixmap		XtUnspecifiedPixmap
 borderWidth	     BorderWidth	Dimension	1
 colormap	     Colormap		Colormap	parent's colormap
 cursor		     Cursor		Cursor		None
 cursorName	     Cursor		String		NULL
 depth		     Depth		int		parent's depth
 destroyCallback     Callback		XtCallbackList	NULL
 foreground	     Foreground		Pixel		XtDefaultForeground
 height		     Height		Dimension	text height
 highlightThickness  Thickness          Dimension       2
 mappedWhenManaged   MappedWhenManaged	Boolean		True
 pointerColor	     Foreground		Pixel		XtDefaultForeground
 pointerColorBackground Background	Pixel		XtDefaultBackground
 sensitive	     Sensitive		Boolean		True
 translations	     Translations	TranslationTable see doc or source
 width		     Width		Dimension	text width
 x		     Position		Position	0
 y		     Position		Position	0

 callback	     Callback		XtCallbackList	NULL
 enterCallback       Callback           XtCallbackList  NULL
 leaveCallback       Callback           XtCallbackList  NULL
 blackColor          Foreground         Pixel           black
 whiteColor          Foreground         Pixel           white
 middleHighlightColor Foreground        Pixel           gray
 lowHighlightColor    Foreground        Pixel           gray50

 state               State              int             0
 borderState         State              int             0
 markState           State              int             0
 flipState           State              int             0
 flipOrientation     Orientation        XtOrientation   XtOrientHorizontal
*/

#define XtNhighlightThickness "highlightThickness"

#define XtNblackColor "blackColor"
#define XtNwhiteColor "whiteColor"
#define XtNmiddleHighlightColor "middleHighlightColor"
#define XtNlowHighlightColor "lowHighlitColor"

#define XtNstate "state"
#define XtNborderState "borderState"
#define XtNmarkState "markState"
#define XtNflipState "flipState"
#define XtNflipOrientation "flipOrientation"
#define XtCState "state"

#define XtNenterCallback "enterCallback"
#define XtNleaveCallback "leaveCallback"

#ifndef _XtStringDefs_h_
#define XtNforeground "foreground"
#endif

extern WidgetClass     othelloDiscWidgetClass;

typedef struct _OthelloDiscClassRec   *OthelloDiscWidgetClass;
typedef struct _OthelloDiscRec        *OthelloDiscWidget;

typedef enum {
  ODHighlightNone,		/* Do not highlight. */
  ODHighlightHigh,
  ODHighlightLow,
  ODHighlightMiddle,
} XtOthelloDiscHighlight;

typedef enum {
  ODMarkNone,
  ODMarkStar,
  ODMarkPlus,
  ODMarkCircle,
} XtOthelloDiscMark;

#endif /* _XawOthelloDisc_h */
