/*
* $XConsortium: OthelloDiscP.h,v 1.31 94/04/17 20:12:01 rws Exp $
*/


/***********************************************************

Copyright (c) 1987, 1988  X Consortium

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Except as contained in this notice, the name of the X Consortium shall not be
used in advertising or otherwise to promote the sale, use or other dealings
in this Software without prior written authorization from the X Consortium.


Copyright 1987, 1988 by Digital Equipment Corporation, Maynard, Massachusetts.

                        All Rights Reserved

Permission to use, copy, modify, and distribute this software and its 
documentation for any purpose and without fee is hereby granted, 
provided that the above copyright notice appear in all copies and that
both that copyright notice and this permission notice appear in 
supporting documentation, and that the name of Digital not be
used in advertising or publicity pertaining to distribution of the
software without specific, written prior permission.  

DIGITAL DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL
DIGITAL BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR
ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
SOFTWARE.

******************************************************************/

/* 
 * OthelloDiscP.h - Private definitions for OthelloDisc widget
 * 
 */

#ifndef _XawOthelloDiscP_h
#define _XawOthelloDiscP_h

#include "OthelloDisc/OthelloDisc.h"
#include <X11/Xaw3d/SimpleP.h>
#include <X11/Xaw3d/ThreeDP.h>

/***********************************************************************
 *
 * OthelloDisc Widget Private Data
 *
 ***********************************************************************/

/************************************
 *
 *  Class structure
 *
 ***********************************/


   /* New fields for the OthelloDisc widget class record */
typedef struct _OthelloDiscClass 
  {
    int makes_compiler_happy;  /* not used */
  } OthelloDiscClassPart;

   /* Full class record declaration */
typedef struct _OthelloDiscClassRec {
    CoreClassPart	core_class;
    SimpleClassPart	simple_class;
    ThreeDClassPart	threeD_class;
    OthelloDiscClassPart    othelloDisc_class;
} OthelloDiscClassRec;

extern OthelloDiscClassRec othelloDiscClassRec;

/***************************************
 *
 *  Instance (widget) structure 
 *
 **************************************/

    /* New fields for the OthelloDisc widget record */
typedef struct {
    /* resources */
    Dimension   highlight_thickness;
    XtCallbackList callbacks, enter_callbacks, leave_callbacks;
    int			state;
    XtOthelloDiscHighlight	border_state;
    XtOthelloDiscMark   mark_state;
    int                 flip_state;
    XtOrientation       flip_orientation;

    Pixel               foreground, border_color;
    Pixel               black_color, white_color, middle_color, low_color;
    /* private state */
    Pixmap      	gray_pixmap;
    GC          	normal_GC;
    GC          	inverse_GC;
    GC                  black_GC;
    GC                  white_GC;
    GC                  middle_GC;
    GC                  low_GC;
    GC                  border_GC;
    Boolean     	set;
    Boolean	        highlighted;
    /* more resources */
    Dimension		corner_round;
} OthelloDiscPart;


/*    XtEventsPtr eventTable;*/


   /* Full widget declaration */
typedef struct _OthelloDiscRec {
    CorePart         core;
    SimplePart	     simple;
    ThreeDPart       threeD;
    OthelloDiscPart      othelloDisc;
} OthelloDiscRec;

#endif /* _XawOthelloDiscP_h */


